<?php
/*                                                       */
/* login_form.php - Login form for frontend user login   */
/* $ID 031 - 2023-10-28 - brom $                         */
/*                                                       */
/* BROM CMS/BelCal Project  <http://www.brom-belcal.de> */
/*                                                       */
/* BROM CMS/BelCal is software you can redistribute it  */
/* under the terms the BROM CMS/BelCal license for free */
/* and modify scripts but without warranty. It is not    */
/* redistributable for payment.                          */
/*                                                       */
/* A distribution of payment will be provided            */
/* exclusively by BROM Service see website or send mail. */
/*                                                       */
/* (c) by BROM-Service 2008  (kontakt@brom-belcal.de)    */
/*                                                       */

if(!defined('BC_PATH')){ header('Location: ../objects/index.php'); exit(0); }

if(file_exists(ADMIN_PATH.ADMIN_THEME.'/images/eye-visible.png')){
  $eyediv = ' style="position:absolute;height:1.5em;cursor:pointer;z-index:99;margin-top:0;margin-left:-2.5em;"';
  $eyesrc = ADMIN_URL.ADMIN_THEME.'/images/eye-visible.png';
  $noeyesrc = ADMIN_URL.ADMIN_THEME.'/images/eye-notvisible.png';
  $pw_show = $TEXT['PASSWORD'].' '.$TEXT['SHOW'];
}
else{
  $eyediv = ' style="display:none;"';
  $eyesrc = '';
  $noeyesrc = '';
  $pw_show = '';
}


if(defined('SMART_LOGIN') AND SMART_LOGIN == 'enabled'){
  // Generate username field name
  $username_fieldname = 'username_';
  $password_fieldname = 'password_';
  $salt = "abchefghjkmnpqrstuvwxyz0123456789";
  srand((double)microtime()*1000000);
  $i = 0;
  while($i <= 7){
    $num = rand() % 33;
    $tmp = substr($salt, $num, 1);
    $username_fieldname = $username_fieldname . $tmp;
    $password_fieldname = $password_fieldname . $tmp;
    $i++;
  }
}
else{
  $username_fieldname = 'username';
  $password_fieldname = 'password';
}

// Show only if no other form is available
if(!defined('LOGIN_BOX_LOADED') OR LOGIN_BOX_LOADED == false){
?>
<style type="text/css">
.field_title{ text-align:left;width:30%; }
.value_input, .value_button { width: 70%; text-align:center; }
/*.value_input input, .value_input text, .value_input passwort, .value_input select { width: 85%; }*/
.value_button input{ width: 45%; }
.labelinside{
  margin: 3px 0;
  width:100%;
  position: relative;
  text-align:left;
}
.labelinside label{
  color: silver;
  cursor: text;
/*  display: none;*/
  font-size: 1em;
  left: 0;
  line-height: 1em;
  padding: 3px 3px 3px 0.3em;
/*  margin-right: 1.5em;*/
  position: absolute;
  width:85%;
  top: 0;
}
.labelinside input,.labelinside textarea{ margin: 0; }
</style>
<?php if(defined('JQUERY_PLUGINS_REGISTRED') AND JQUERY_PLUGINS_REGISTRED==true){ ?>
<script type="text/javascript" language="javascript">
$(document).ready(function(){
  var ww = $(window).width();
  set_new_loglabels(ww);
  $(window).resize(function(){
    ww = $(window).width();
    set_new_loglabels(ww);
  });
  document.getElementById('<?php echo $username_fieldname; ?>').focus();
  if(document.cookie.indexOf("<?php echo session_name(); ?>") < 0 && $("#nocookie").length){ $("#nocookie").show(); }
});
function set_new_loglabels(fw){

  var $inputControl = $(".labelinside>input");
  $inputControl.each(function (index, domElement){
    /*@cc_on if (document.documentMode && document.documentMode >= 8) @*/
    if ($(this).parent().css("display") == "inline"){ $(this).parent().css("display", "inline-block"); }
    if (!$(this).val()){ $(this).parent().children("label").show(); }
  });
  $inputControl.bind("keydown", function(event){ $(this).parent().children("label").hide(); });
  $inputControl.bind("blur", function(event){
    if (!$(this).val() && fw<1000){ $(this).parent().children("label").show(); }
  });

  if(fw < 1000){
    $(".field_title").hide();
    $(".labelinside input").css("width","95%");
    $(".labelinside label").css("margin-left","1em").show();
  }
  else{
    $(".field_title").show();
    $(".labelinside input").css("width","95%");
    $(".labelinside label").hide();
  }

};
function set_showpw(elid){
	var elfld = $("#"+elid);
	var elsrc = $("#eyeimg");
	var srcnoeye = "<?php echo $noeyesrc; ?>";
	var srceye = "<?php echo $eyesrc; ?>";
	var thideeye = "<?php echo $TEXT['PASSWORD'].' '.$TEXT['HIDE']; ?>";
	var tshoweye = "<?php echo $TEXT['PASSWORD'].' '.$TEXT['SHOW']; ?>";
	if(elfld.attr("type")=="password"){
		elfld.prop("type","text");
		elsrc.prop("src",srceye)
		elsrc.prop("title",thideeye);
	}
	else{
		elfld.prop("type","password");
		elsrc.prop("src",srcnoeye)
		elsrc.prop("title",tshoweye);
	}
};

</script>
<?php } ?>

  <h1><?php echo $TEXT['LOGIN']; ?></h1>
  <?php
  echo '<span id="nocookie" style="width:100%;color:red;font-weight:bold;display:none;">'.$TEXT['COOKIE_PLEASE'].'</span><br />';
  echo $thisApp->message;
  ?>
  <br />
  <br />
  <form name="login" action="<?php echo BC_URL.'/account/login.php'; ?>" method="post">
  <input type="hidden" name="username_fieldname" value="<?php echo $username_fieldname; ?>" />
  <input type="hidden" name="password_fieldname" value="<?php echo $password_fieldname; ?>" />
  <input type="hidden" name="redirect" value="<?php echo $thisApp->redirect_url;?>" />
  <table cellpadding="0" cellspacing="10" border="0" width="100%">
  <tr>
    <td class="field_title"><?php echo $TEXT['USERNAME'].'<br />('.$TEXT['CLIENT'].' '.$TEXT['OR'].' '.$TEXT['EMAIL'].')'; ?>:</td>
    <td class="value_input">
      <div class="labelinside">
      <label for="<?php echo $username_fieldname; ?>"><?php echo $TEXT['USERNAME'].' ('.$TEXT['CLIENT'].' '.$TEXT['OR'].' '.$TEXT['EMAIL'].')'; ?></label>
      <input id="<?php echo $username_fieldname; ?>" type="text" name="<?php echo $username_fieldname; ?>" maxlength="100" /><br />
      </div>
    </td>
  </tr>
  <tr>
    <td class="field_title"><?php echo $TEXT['PASSWORD']; ?>:</td>
    <td class="value_input">
      <div class="labelinside">
      <label for="<?php echo $password_fieldname; ?>"><?php echo $TEXT['PASSWORD']; ?></label>
      <input id="<?php echo $password_fieldname; ?>" type="password" name="<?php echo $password_fieldname; ?>" maxlength="30" style="width:90%;"/>
      <img id="eyeimg" src="<?php echo $noeyesrc; ?>" title="<?php echo $pw_show; ?>" onclick="set_showpw('<?php echo $password_fieldname; ?>');"<?php echo $eyediv; ?> />
      <br />
      </div>
    </td>
  </tr>
  <?php if($username_fieldname != 'username') { ?>
  <tr>
    <td>&nbsp;</td>
    <td>
      <input type="checkbox" name="remember" id="remember" value="true" />
      <label for="remember"><?php echo $TEXT['REMEMBER_ME']; ?></label>
    </td>
  </tr>
  <?php } ?>
<!--
  </table>
  <table cellpadding="5" cellspacing="0" border="0" width="90%">
-->
  <tr>
    <td class="field_title">&nbsp;</td>
    <td class="value_button">
      <input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" />
      <input type="reset" name="reset" value="<?php echo $TEXT['RESET']; ?>" />
    </td>
  </tr>
  </table>
  </form>
  <br />
  <a href="<?php echo BC_URL; ?>/account/forgot.php"><?php echo $TEXT['FORGOTTEN_DETAILS']; ?></a>
  <?php
  $addinfo = '';
  // If we have signup for only one guestgroup
  if(FRONTEND_SIGNUP_GUESTS AND !FRONTEND_SIGNUP){
    $get_groupsforsign = $datapdo->query("SELECT `group_name`,`managing` FROM `".TABLE_PREFIX."usergroups` WHERE `system_permissions`='0' AND `tools_permissions`='0' AND `managing`='1'");
    if($datapdo->numRows($get_groupsforsign)==1){
      $onegroup = $datapdo->fetchRow($get_groupsforsign);
      $onlyonegroup = unserialize($onegroup['group_name']);
      $addinfo = ' ('.$TEXT['ONLY'].' '.$TEXT['FOR'].' '.(isset($onlyonegroup[LANGUAGE])?$onlyonegroup[LANGUAGE]:$onlyonegroup['EN']).')';
    }
  }
  if(FRONTEND_SIGNUP OR FRONTEND_SIGNUP_GUESTS){ ?>
  <br />
  <br />
  <a href="<?php echo BC_URL; ?>/account/signup.php"><?php echo $TEXT['ACCOUNT_SIGNUP'].$addinfo; ?></a>
  <?php
  }
}
else{
  if($thisApp->message != ''){ echo $thisApp->message.'<br /><br />'; }
}
?>